## korganizer 25.08.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(PIM_VERSION "6.5.3")
set(RELEASE_SERVICE_VERSION "25.08.3")

# Update it for each release
set(KORGANIZER_RELEASE_VERSION_DATE "25.11.03") # yy.MM.dd

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

project(korganizer VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    plugins/*.cpp
    plugins/*.h
)

set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

include(ECMCheckOutboundLicense)
ecm_check_outbound_license(LICENSES GPL-2.0-only GPL-3.0-only FILES
                           ${ALL_CLANG_FORMAT_SOURCE_FILES}
)

# Require a C++20 capable compiler
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

set(AKONADI_CONTACT_VERSION "6.5.3")
set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
set(CALENDARUTILS_LIB_VERSION "6.5.3")
set(AKONADICALENDAR_LIB_VERSION "6.5.3")
set(KONTACTINTERFACE_LIB_VERSION "6.5.3")
set(KMIME_LIB_VERSION "6.5.3")
set(AKONADI_VERSION "6.5.3")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        DBus
        Gui
        Widgets
        Test
        UiTools
)

set(PIMCOMMON_LIB_VERSION "6.5.3")
set(LIBKDEPIM_LIB_VERSION "6.5.3")
set(LIBINCIDENCEEDITOR_LIB_VERSION "6.5.3")
set(CALENDARSUPPORT_LIB_VERSION "6.5.3")
set(EVENTVIEW_LIB_VERSION "6.5.3")

# Find KF6 package
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} REQUIRED)
find_package(KF6ItemViews ${KF_MIN_VERSION} REQUIRED)
find_package(KF6JobWidgets ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Parts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WindowSystem ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Holidays ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6UserFeedback ${KF_MIN_VERSION} CONFIG)

set_package_properties(
    KF6UserFeedback
    PROPERTIES
        DESCRIPTION
            "User Feedback lib"
        TYPE
            OPTIONAL
        PURPOSE
            "Allow to send Telemetry Information (optional)."
)

if(TARGET KF6::UserFeedbackWidgets)
    set(KORGANIZER_WITH_KUSERFEEDBACK true)
endif()

find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(
    KF6DocTools
    PROPERTIES
        DESCRIPTION
            "Tools to generate documentation"
        TYPE
            OPTIONAL
)

# Find KdepimLibs Package
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactWidgets ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IncidenceEditor ${LIBINCIDENCEEDITOR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6EventViews ${EVENTVIEW_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)

if(TARGET KPim6::PimCommonActivities)
    option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities (experimental)" ON)
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false)
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.3.0")
            set_package_properties(
                PlasmaActivities
                PROPERTIES
                    DESCRIPTION
                        "Allow to compile with plasma activities"
                    TYPE
                        OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()

if(NOT APPLE)
    find_package(X11)
endif()

set(KDEPIM_HAVE_X11 ${X11_FOUND})
configure_file(config-korganizer.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-korganizer.h)
include_directories(
    ${korganizer_SOURCE_DIR}
    ${korganizer_BINARY_DIR}
)
configure_file(korganizer-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/korganizer-version.h @ONLY)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)
add_subdirectory(plugins)

ecm_qt_install_logging_categories(
  EXPORT KORGANIZER FILE korganizer.categories DESTINATION
  ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)

if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"korganizer\")

include_directories(${CMAKE_CURRENT_BINARY_DIR})

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()
add_subdirectory(interfaces)
add_subdirectory(pixmaps)
add_subdirectory(sounds)
add_subdirectory(kontactplugin)
add_subdirectory(views/collectionview)

########### next target ###############

set(korganizer_userfeedback_LIB)
if(TARGET KF6::UserFeedbackWidgets)
    set(korganizer_userfeedback_LIB KF6::UserFeedbackWidgets)
endif()

set(korganizer_common_SRCS)
ecm_qt_declare_logging_category(korganizer_common_SRCS HEADER korganizer_debug.h IDENTIFIER KORGANIZER_LOG CATEGORY_NAME org.kde.pim.korganizer
        DESCRIPTION "korganizer (korganizer)"
        OLD_CATEGORY_NAMES log_korganizer
        EXPORT KORGANIZER
)
ecm_qt_declare_logging_category(korganizer_common_SRCS HEADER korganizer_activities_debug.h IDENTIFIER KORGANIZER_ACIVITIES_LOG CATEGORY_NAME org.kde.pim.korganizer.activities
        DESCRIPTION "korganizer (korganizer) activities"
        EXPORT KORGANIZER
)
set(korganizer_SRCS
    main.cpp
    korganizer.cpp
    koapp.cpp
    plugininterface/korganizerplugininterface.cpp
    korganizer.h
    koapp.h
    plugininterface/korganizerplugininterface.h
    ${korganizer_common_SRCS}
)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pixmaps/*-apps-korganizer.png")
ecm_add_app_icon(korganizer_SRCS ICONS ${ICONS_SRCS})

add_executable(korganizer ${korganizer_SRCS})
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        korganizer
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
target_link_libraries(
    korganizer
    KPim6::KontactInterface
    KF6::CalendarCore
    korganizerprivate
    korganizer_interfaces
    korganizer_core
    KPim6::PimCommonAkonadi
    KF6::Crash
    KF6::WindowSystem
    ${korganizer_userfeedback_LIB}
    KF6::IconThemes
)
if(TARGET KPim6::PimCommonActivities)
    target_link_libraries(korganizer KPim6::PimCommonActivities)
endif()

install(
    TARGETS
        korganizer
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

########### next target ###############
add_library(
    korganizer_kcm_static
    STATIC
    widgets/kitemiconcheckcombo.cpp
    prefs/kprefsdialog.cpp
    widgets/kitemiconcheckcombo.h
    prefs/kprefsdialog.h
    ${korganizer_common_SRCS}
)
set_property(
    TARGET
        korganizer_kcm_static
    PROPERTY
        POSITION_INDEPENDENT_CODE
            ON
)
target_link_libraries(
    korganizer_kcm_static
    KF6::KCMUtils
    KPim6::AkonadiCalendar
    KPim6::CalendarSupport
    KPim6::EventViews
    KPim6::IncidenceEditor
    korganizer_core
    korganizerprivate
    KF6::CalendarCore
    KF6::Holidays
    KPim6::MailTransport
    KPim6::PimCommon
    KPim6::AkonadiWidgets
    KF6::WindowSystem
    KF6::KIOWidgets
)
if(TARGET KPim6::PimCommonActivities)
    target_link_libraries(korganizer_kcm_static KPim6::PimCommonActivities)
endif()

add_library(
    korganizer_configcolorsandfonts
    MODULE
    prefs/koprefsdialogcolorsandfonts.cpp
    prefs/koprefsdialogcolorsandfonts.h
)
target_link_libraries(korganizer_configcolorsandfonts korganizer_kcm_static)
install(TARGETS korganizer_configcolorsandfonts DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/korganizer)

add_library(
    korganizer_configfreebusy
    MODULE
    prefs/koprefsdialoggroupwarescheduling.h
    prefs/koprefsdialoggroupwarescheduling.cpp
)
target_link_libraries(korganizer_configfreebusy korganizer_kcm_static)
install(TARGETS korganizer_configfreebusy DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/korganizer)

add_library(
    korganizer_configgroupscheduling
    MODULE
    prefs/koprefsdialogmain.h
    prefs/koprefsdialogmain.cpp
)
target_link_libraries(korganizer_configgroupscheduling korganizer_kcm_static)
install(TARGETS korganizer_configgroupscheduling DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/korganizer)

add_library(
    korganizer_configmain
    MODULE
    prefs/koprefsdialoggroupscheduling.h
    prefs/koprefsdialoggroupscheduling.cpp
)
target_link_libraries(korganizer_configmain korganizer_kcm_static)
install(TARGETS korganizer_configmain DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/korganizer)

add_library(
    korganizer_configplugins
    MODULE
    prefs/koprefsdialogplugins.cpp
    prefs/koprefsdialogplugins.h
)
target_link_libraries(korganizer_configplugins korganizer_kcm_static)
install(TARGETS korganizer_configplugins DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/korganizer)

add_library(
    korganizer_configtime
    MODULE
    prefs/koprefsdialogtime.cpp
    prefs/koprefsdialogtime.h
)
target_link_libraries(korganizer_configtime korganizer_kcm_static)
install(TARGETS korganizer_configtime DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/korganizer)

add_library(
    korganizer_configviews
    MODULE
    prefs/koprefsdialogviews.cpp
    prefs/koprefsdialogviews.h
)
target_link_libraries(korganizer_configviews korganizer_kcm_static)
install(TARGETS korganizer_configviews DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/korganizer)

add_library(
    korganizer_userfeedback
    MODULE
    prefs/koprefsuserfeedback.cpp
    prefs/koprefsuserfeedback.h
)
target_link_libraries(
    korganizer_userfeedback
    korganizer_kcm_static
    ${korganizer_userfeedback_LIB}
)
install(TARGETS korganizer_userfeedback DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/korganizer)

########### next target ###############

set(korganizerpart_PART_SRCS
    korganizer_part.cpp
    korganizer_part.h
    korganizer_debug.cpp
)

add_library(korganizerpart MODULE ${korganizerpart_PART_SRCS})
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        korganizerpart
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

target_link_libraries(
    korganizerpart
    KPim6::CalendarSupport
    korganizer_core
    korganizer_interfaces
    korganizerprivate
    KPim6::AkonadiCore
    KF6::CalendarCore
    KPim6::CalendarUtils
    KF6::KIOWidgets
)

install(TARGETS korganizerpart DESTINATION ${KDE_INSTALL_PLUGINDIR})

########### next target ###############

set(korganizer_core_LIB_SRCS
    prefs/koprefs.cpp
    kocore.cpp
    prefs/koprefs.h
    kocore.h
    ${korganizer_common_SRCS}
)

kconfig_add_kcfg_files(korganizer_core_LIB_SRCS settings/koprefs_base.kcfgc)

add_library(korganizer_core ${korganizer_core_LIB_SRCS})
generate_export_header(korganizer_core BASE_NAME korganizer_core)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        korganizer_core
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
target_link_libraries(
    korganizer_core
    PUBLIC
        korganizer_interfaces
    PRIVATE
        KPim6::CalendarSupport
        KPim6::EventViews
        KPim6::IdentityManagementCore
        Qt::DBus
)

target_include_directories(
    korganizer_core
    PUBLIC
        "$<BUILD_INTERFACE:${korganizer_SOURCE_DIR};${korganizer_BINARY_DIR}>"
)

set_target_properties(
    korganizer_core
    PROPERTIES
        VERSION
            ${KDEPIM_LIB_VERSION}
        SOVERSION
            ${KDEPIM_LIB_SOVERSION}
)

install(
    TARGETS
        korganizer_core
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    LIBRARY
        NAMELINK_SKIP
)

########### next target ###############
set(korganizerprivate_userfeedback_SRCS)
if(TARGET KF6::UserFeedbackWidgets)
    set(korganizerprivate_userfeedback_SRCS
        ${korganizerprivate_userfeedback_SRCS}
        userfeedback/userfeedbackmanager.cpp
        userfeedback/korganizeruserfeedbackprovider.cpp
        userfeedback/userfeedbackmanager.h
        userfeedback/korganizeruserfeedbackprovider.h
    )
endif()

set(korganizerprivate_LIB_SRCS
    ${korganizer_common_SRCS}
    ${korganizerprivate_userfeedback_SRCS}
    manageshowcollectionproperties.cpp
    collectiongeneralpage.cpp
    aboutdata.cpp
    actionmanager.cpp
    akonadicollectionview.cpp
    views/collectionview/reparentingmodel.cpp
    views/collectionview/calendardelegate.cpp
    views/collectionview/quickview.cpp
    calendarview.cpp
    datechecker.cpp
    datenavigator.cpp
    datenavigatorcontainer.cpp
    dialog/filtereditdialog.cpp
    widgets/kdatenavigator.cpp
    kocorehelper.cpp
    kodaymatrix.cpp
    kodialogmanager.cpp
    koeventpopupmenu.cpp
    koeventview.cpp
    dialog/koeventviewerdialog.cpp
    koglobals.cpp
    kohelper.cpp
    impl/korganizerifaceimpl.cpp
    koviewmanager.cpp
    kowindowlist.cpp
    widgets/navigatorbar.cpp
    dialog/searchdialog.cpp
    views/agendaview/koagendaview.cpp
    views/journalview/kojournalview.cpp
    views/listview/kolistview.cpp
    views/monthview/monthview.cpp
    views/multiagendaview/multiagendaview.cpp
    views/timelineview/kotimelineview.cpp
    views/todoview/kotodoview.cpp
    views/whatsnextview/kowhatsnextview.cpp
    pimmessagebox.cpp
    korganizer.qrc
    agendaitem_pixmaps/agendaitemtheme.qrc
    manageshowcollectionproperties.h
    collectiongeneralpage.h
    aboutdata.h
    actionmanager.h
    akonadicollectionview.h
    views/collectionview/reparentingmodel.h
    views/collectionview/calendardelegate.h
    views/collectionview/quickview.h
    calendarview.h
    datechecker.h
    datenavigator.h
    datenavigatorcontainer.h
    dialog/filtereditdialog.h
    widgets/kdatenavigator.h
    kocorehelper.h
    kodaymatrix.h
    kodialogmanager.h
    koeventpopupmenu.h
    koeventview.h
    dialog/koeventviewerdialog.h
    koglobals.h
    kohelper.h
    impl/korganizerifaceimpl.h
    koviewmanager.h
    kowindowlist.h
    widgets/navigatorbar.h
    dialog/searchdialog.h
    views/agendaview/koagendaview.h
    views/journalview/kojournalview.h
    views/listview/kolistview.h
    views/monthview/monthview.h
    views/multiagendaview/multiagendaview.h
    views/timelineview/kotimelineview.h
    views/todoview/kotodoview.h
    views/whatsnextview/kowhatsnextview.h
    pimmessagebox.h
    korganizer_options.h
    collectionsortfilterproxymodel.h
    collectionsortfilterproxymodel.cpp
    whatsnew/whatsnewtranslations.cpp
    whatsnew/whatsnewtranslations.h
)

if(HAVE_ACTIVITY_SUPPORT)
    set(korganizerprivate_LIB_SRCS
        ${korganizerprivate_LIB_SRCS}
        activities/activitiesmanager.h
        activities/activitiesmanager.cpp
        activities/accountactivities.h
        activities/accountactivities.cpp
        activities/transportactivities.cpp
        activities/transportactivities.h
    )
    if(BUILD_TESTING)
        add_subdirectory(activities/autotests)
    endif()
endif()

set_property(
    SOURCE
        ${CMAKE_CURRENT_BINARY_DIR}/qrc_korganizer.cpp
    PROPERTY
        SKIP_AUTOMOC
            ON
)
set_property(
    SOURCE
        ${CMAKE_CURRENT_BINARY_DIR}/qrc_agendaitemtheme.cpp
    PROPERTY
        SKIP_AUTOMOC
            ON
)

ki18n_wrap_ui(korganizerprivate_LIB_SRCS
    ui/filteredit_base.ui
    ui/kogroupwareprefspage.ui
    views/multiagendaview/multiagendaviewconfigwidget.ui
    ui/searchdialog_base.ui
    views/collectionview/quickview.ui
)

qt_add_dbus_adaptor(korganizerprivate_LIB_SRCS
    data/org.kde.korganizer.Korganizer.xml impl/korganizerifaceimpl.h
    KOrganizerIfaceImpl
)

qt_add_dbus_adaptor(korganizerprivate_LIB_SRCS
    data/org.kde.Korganizer.Calendar.xml actionmanager.h
    ActionManager calendaradaptor KOrgCalendarAdaptor
)
qt_add_dbus_adaptor(korganizerprivate_LIB_SRCS
    data/org.kde.calendar.Calendar.xml actionmanager.h
    ActionManager calendarinterfaceadaptor CalendarInterfaceAdaptor
)

qt_add_dbus_interfaces(korganizerprivate_LIB_SRCS
    data/org.kde.korganizer.Korganizer.xml
)

qt_add_dbus_interfaces(korganizerprivate_LIB_SRCS
    ${korganizer_SOURCE_DIR}/src/data/org.kde.korganizer.Korganizer.xml
)

add_library(korganizerprivate ${korganizerprivate_LIB_SRCS})
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        korganizerprivate
        PROPERTIES

=== plugins/hebrew/CMakeLists.txt ===
########### next target ###############
find_package(KF6KDELibs4Support ${KF_MIN_VERSION} CONFIG REQUIRED) #for the korganizer hebrew plugin
add_library(hebrew MODULE)
target_sources(
    hebrew
    PRIVATE
        qcalendarsystem.cpp
        configdialog.cpp
        converter.cpp
        hebrew.cpp
        holiday.cpp
        parsha.cpp
)

ecm_qt_declare_logging_category(hebrew HEADER korganizer_hebrew_debug.h IDENTIFIER KORGANIZER_HEBREWPLUGIN_LOG CATEGORY_NAME org.kde.pim.korganizer_hebrew_plugin)

target_link_libraries(
    hebrew
    KPim6::EventViews
    KF6::I18n
    KF6::KDELibs4Support
)

install(TARGETS hebrew DESTINATION ${KDE_INSTALL_PLUGINDIR}/korganizer)

=== src/kontactplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(korganizer)
add_subdirectory(specialdates)

=== src/views/collectionview/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${korganizer_SOURCE_DIR}/
)

add_executable(reparentingmodeltest ${reparentingmodeltest_SRCS})
target_sources(
    reparentingmodeltest
    PRIVATE
        reparentingmodeltest.cpp
        ../reparentingmodel.cpp
        ../../../korganizer_debug.cpp
)
add_test(NAME reparentingmodeltest COMMAND reparentingmodeltest)
ecm_mark_as_test(reparentingmodeltest)
ecm_mark_nongui_executable(reparentingmodeltest)
target_link_libraries(
    reparentingmodeltest
    Qt::Test
    Qt::Core
    Qt::Gui
)

=== debian/changelog ===
korganizer (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:59:50 +0100

korganizer (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:26:10 +0100

=== debian/control ===
Source: korganizer
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf5,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.3~),
               libakonadicalendar-dev (>= 4:25.08.3~),
               libakonadicontact-dev (>= 4:25.08.3~),
               libcalendarsupport-dev (>= 4:25.08.3~),
               libeventviews-dev (>= 4:25.08.3~),
               libincidenceeditor-dev (>= 25.08.3~),
               libkcalendarutils-dev (>= 4:25.08.3~),
               libkdepim-dev (>= 4:25.08.3~),
               libkf6calendarcore-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6holidays-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6iconthemes-dev (>= 6.14.0~),
               libkf6itemviews-dev (>= 6.14.0~),
               libkf6jobwidgets-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6newstuff-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.14.0~),
               libkf6userfeedback-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libkidentitymanagement-dev (>= 24.12.3~),
               libkldap-dev (>= 24.12.2~),
               libkmailtransport-dev (>= 25.08.3~),
               libkmime-dev (>= 25.08.3~),
               libkontactinterface-dev (>= 25.08.3~),
               libpimcommon-dev (>= 4:25.08.3~),
               libplasmaactivities-dev (>= 6.3.0~),
               libx11-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/korganizer
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/korganizer
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/korganizer.git
Rules-Requires-Root: no

Package: korganizer
Architecture: amd64 arm64 armhf i386
Depends: kdepim-runtime,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kalendarac,
Breaks: kdepim-addons (<< 22.12.4),
Replaces: kdepim-addons (<< 22.12.4),
Homepage: http://kontact.kde.org/korganizer/
Description: calendar and personal organizer
 This package contains KOrganizer, a calendar and scheduling program.
 .
 KOrganizer aims to be a complete program for organizing appointments,
 contacts, projects, etc. KOrganizer natively supports information interchange
 with other calendar applications, through the industry standard vCalendar
 personal data interchange file format. This eases the move from other
 modern PIMs to KOrganizer.

## korganizer 25.08.3+p24.04+vunstable+git20251204.0332

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,25 +3,25 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
-set(PIM_VERSION "6.5.3")
-set(RELEASE_SERVICE_VERSION "25.08.3")
+set(PIM_VERSION "6.6.40")
+set(RELEASE_SERVICE_VERSION "26.03.40")
 
 # Update it for each release
-set(KORGANIZER_RELEASE_VERSION_DATE "25.11.03") # yy.MM.dd
+set(KORGANIZER_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
 project(korganizer VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.14.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -72,17 +72,17 @@
 )
 
 # Require a C++20 capable compiler
-set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(CMAKE_CXX_EXTENSIONS OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
-set(AKONADI_CONTACT_VERSION "6.5.3")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
-set(CALENDARUTILS_LIB_VERSION "6.5.3")
-set(AKONADICALENDAR_LIB_VERSION "6.5.3")
-set(KONTACTINTERFACE_LIB_VERSION "6.5.3")
-set(KMIME_LIB_VERSION "6.5.3")
-set(AKONADI_VERSION "6.5.3")
+set(AKONADI_CONTACT_VERSION "6.6.40")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.40")
+set(CALENDARUTILS_LIB_VERSION "6.6.40")
+set(AKONADICALENDAR_LIB_VERSION "6.6.40")
+set(KONTACTINTERFACE_LIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.40")
+set(AKONADI_VERSION "6.6.40")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -99,11 +99,11 @@
         UiTools
 )
 
-set(PIMCOMMON_LIB_VERSION "6.5.3")
-set(LIBKDEPIM_LIB_VERSION "6.5.3")
-set(LIBINCIDENCEEDITOR_LIB_VERSION "6.5.3")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.3")
-set(EVENTVIEW_LIB_VERSION "6.5.3")
+set(PIMCOMMON_LIB_VERSION "6.6.40")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(LIBINCIDENCEEDITOR_LIB_VERSION "6.6.40")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.40")
+set(EVENTVIEW_LIB_VERSION "6.6.40")
 
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -177,7 +177,7 @@
     endif()
     if(OPTION_USE_PLASMA_ACTIVITIES)
         if(NOT WIN32 AND NOT APPLE)
-            find_package(PlasmaActivities "6.3.0")
+            find_package(PlasmaActivities "6.4.0")
             set_package_properties(
                 PlasmaActivities
                 PROPERTIES
@@ -198,6 +198,18 @@
     find_package(X11)
 endif()
 
+set(KTEXTADDONS_MIN_VERSION "1.8.82")
+
+find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG)
+set_package_properties(
+    KF6TextAddonsWidgets
+    PROPERTIES
+        DESCRIPTION
+            "Add text addons widget"
+        TYPE
+            REQUIRED
+)
+
 set(KDEPIM_HAVE_X11 ${X11_FOUND})
 configure_file(config-korganizer.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-korganizer.h)
 include_directories(
@@ -207,7 +219,7 @@
 configure_file(korganizer-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/korganizer-version.h @ONLY)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
korganizer (4:25.08.3+p24.04+vunstable+git20251204.0332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 03:33:05 +0000

korganizer (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:36:10 +1000

## korganizer 25.08.3+p24.04+vunstable+git20251206.1025

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 project(korganizer VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
korganizer (4:25.08.3+p24.04+vunstable+git20251206.1025-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 10:25:07 +0000

## korganizer 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,25 +3,25 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION alpha)
+set(KDEPIM_DEV_VERSION beta)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
-set(PIM_VERSION "6.6.40")
-set(RELEASE_SERVICE_VERSION "26.03.40")
+set(PIM_VERSION "6.5.80")
+set(RELEASE_SERVICE_VERSION "25.11.80")
 
 # Update it for each release
-set(KORGANIZER_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd
+set(KORGANIZER_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
 project(korganizer VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.20.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -72,17 +72,18 @@
 )
 
 # Require a C++20 capable compiler
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(CMAKE_CXX_EXTENSIONS OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
-set(AKONADI_CONTACT_VERSION "6.6.40")
-set(KMAILTRANSPORT_LIB_VERSION "6.6.40")
-set(CALENDARUTILS_LIB_VERSION "6.6.40")
-set(AKONADICALENDAR_LIB_VERSION "6.6.40")
-set(KONTACTINTERFACE_LIB_VERSION "6.6.40")
-set(KMIME_LIB_VERSION "6.6.40")
-set(AKONADI_VERSION "6.6.40")
+set(AKONADI_CONTACT_VERSION "6.5.80")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.80")
+set(CALENDARUTILS_LIB_VERSION "6.5.80")
+set(AKONADICALENDAR_LIB_VERSION "6.5.80")
+set(KONTACTINTERFACE_LIB_VERSION "6.5.80")
+set(KMIME_LIB_VERSION "6.5.80")
+set(AKONADI_VERSION "6.5.80")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -99,11 +100,11 @@
         UiTools
 )
 
-set(PIMCOMMON_LIB_VERSION "6.6.40")
-set(LIBKDEPIM_LIB_VERSION "6.6.40")
-set(LIBINCIDENCEEDITOR_LIB_VERSION "6.6.40")
-set(CALENDARSUPPORT_LIB_VERSION "6.6.40")
-set(EVENTVIEW_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.5.80")
+set(LIBKDEPIM_LIB_VERSION "6.5.80")
+set(LIBINCIDENCEEDITOR_LIB_VERSION "6.5.80")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.80")
+set(EVENTVIEW_LIB_VERSION "6.5.80")
 
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -177,7 +178,7 @@
     endif()
     if(OPTION_USE_PLASMA_ACTIVITIES)
         if(NOT WIN32 AND NOT APPLE)
-            find_package(PlasmaActivities "6.4.0")
+            find_package(PlasmaActivities "6.3.0")
             set_package_properties(
                 PlasmaActivities
                 PROPERTIES
@@ -198,7 +199,7 @@
     find_package(X11)
 endif()
 
-set(KTEXTADDONS_MIN_VERSION "1.8.82")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG)
 set_package_properties(
@@ -210,6 +211,11 @@
             REQUIRED
 )
 
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
+    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
+endif()
+
+
 set(KDEPIM_HAVE_X11 ${X11_FOUND})
 configure_file(config-korganizer.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-korganizer.h)
 include_directories(

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -66,6 +66,7 @@
     KF6::WindowSystem
     ${korganizer_userfeedback_LIB}
     KF6::IconThemes
+    KF6::TextAddonsWidgets
 )
 if(TARGET KPim6::PimCommonActivities)
     target_link_libraries(korganizer KPim6::PimCommonActivities)
@@ -219,6 +220,7 @@
     KF6::CalendarCore
     KPim6::CalendarUtils
     KF6::KIOWidgets
+    KF6::TextAddonsWidgets
 )
 
 install(TARGETS korganizerpart DESTINATION ${KDE_INSTALL_PLUGINDIR})
@@ -438,5 +440,3 @@
 add_library(korganizerprivate ${korganizerprivate_LIB_SRCS})
 if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
     set_target_properties(
-        korganizerprivate
-        PROPERTIES

=== plugins/datenums/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

########### next target ###############
add_library(datenums MODULE)

target_sources(
    datenums
    PRIVATE
        configdialog.cpp
        datenums.cpp
        configdialog.h
        datenums.h
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        datenums
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

target_link_libraries(datenums KPim6::EventViews)
install(TARGETS datenums DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/korganizer)

=== src/views/collectionview/icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set(korganizer_collectionview_icons
    sc-apps-quickview.svgz
    256-apps-quickview.png
    128-apps-quickview.png
    22-apps-quickview.png
    48-apps-quickview.png
    64-apps-quickview.png
    32-apps-quickview.png
    16-apps-quickview.png
)
ecm_install_icons(ICONS ${korganizer_collectionview_icons}
   DESTINATION ${KDE_INSTALL_ICONDIR}
   THEME hicolor
)

=== debian/changelog ===
korganizer (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:59:46 +0000

korganizer (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:26:41 +0000

=== debian/control ===
Source: korganizer
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.11.80~),
               libakonadicalendar-dev (>= 4:25.11.80~),
               libakonadicontact-dev (>= 4:25.11.80~),
               libcalendarsupport-dev (>= 4:25.11.80~),
               libeventviews-dev (>= 4:25.11.80~),
               libincidenceeditor-dev (>= 25.11.80~),
               libkcalendarutils-dev (>= 4:25.11.80~),
               libkdepim-dev (>= 4:25.11.80~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemviews-dev (>= 6.6.0~),
               libkf6jobwidgets-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6newstuff-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6userfeedback-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.11.80~),
               libkldap-dev (>= 25.11.80~),
               libkmailtransport-dev (>= 25.11.80~),
               libkmime-dev (>= 25.11.80~),
               libkontactinterface-dev (>= 25.11.80~),
               libpimcommon-dev (>= 4:25.11.80~),
               libplasmaactivities-dev (>= 6.1.0~),
               libx11-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-tools-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/korganizer
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/korganizer
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/korganizer
Rules-Requires-Root: no

Package: korganizer
Architecture: amd64 arm64 armhf i386
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends},
Recommends: kalendarac,
Breaks: kdepim-addons (<< 22.12.4),
Replaces: kdepim-addons (<< 22.12.4),
Homepage: http://kontact.kde.org/korganizer/
Description: calendar and personal organizer
 This package contains KOrganizer, a calendar and scheduling program.
 .
 KOrganizer aims to be a complete program for organizing appointments,
 contacts, projects, etc. KOrganizer natively supports information interchange
 with other calendar applications, through the industry standard vCalendar
 personal data interchange file format. This eases the move from other
 modern PIMs to KOrganizer.

## korganizer 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,18 +3,18 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION beta)
+set(KDEPIM_DEV_VERSION rc)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
-set(PIM_VERSION "6.5.80")
-set(RELEASE_SERVICE_VERSION "25.11.80")
+set(PIM_VERSION "6.5.90")
+set(RELEASE_SERVICE_VERSION "25.11.90")
 
 # Update it for each release
-set(KORGANIZER_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
+set(KORGANIZER_RELEASE_VERSION_DATE "25.11.27") # yy.MM.dd
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
@@ -77,13 +77,13 @@
 set(CMAKE_CXX_EXTENSIONS OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
-set(AKONADI_CONTACT_VERSION "6.5.80")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.80")
-set(CALENDARUTILS_LIB_VERSION "6.5.80")
-set(AKONADICALENDAR_LIB_VERSION "6.5.80")
-set(KONTACTINTERFACE_LIB_VERSION "6.5.80")
-set(KMIME_LIB_VERSION "6.5.80")
-set(AKONADI_VERSION "6.5.80")
+set(AKONADI_CONTACT_VERSION "6.5.90")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.90")
+set(CALENDARUTILS_LIB_VERSION "6.5.90")
+set(AKONADICALENDAR_LIB_VERSION "6.5.90")
+set(KONTACTINTERFACE_LIB_VERSION "6.5.90")
+set(KMIME_LIB_VERSION "6.5.90")
+set(AKONADI_VERSION "6.5.90")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -100,11 +100,11 @@
         UiTools
 )
 
-set(PIMCOMMON_LIB_VERSION "6.5.80")
-set(LIBKDEPIM_LIB_VERSION "6.5.80")
-set(LIBINCIDENCEEDITOR_LIB_VERSION "6.5.80")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.80")
-set(EVENTVIEW_LIB_VERSION "6.5.80")
+set(PIMCOMMON_LIB_VERSION "6.5.90")
+set(LIBKDEPIM_LIB_VERSION "6.5.90")
+set(LIBINCIDENCEEDITOR_LIB_VERSION "6.5.90")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.90")
+set(EVENTVIEW_LIB_VERSION "6.5.90")
 
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
korganizer (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:10:50 +0000

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.80~),
-               libakonadicalendar-dev (>= 4:25.11.80~),
-               libakonadicontact-dev (>= 4:25.11.80~),
-               libcalendarsupport-dev (>= 4:25.11.80~),
-               libeventviews-dev (>= 4:25.11.80~),
-               libincidenceeditor-dev (>= 25.11.80~),
-               libkcalendarutils-dev (>= 4:25.11.80~),
-               libkdepim-dev (>= 4:25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
+               libakonadicalendar-dev (>= 4:25.11.90~),
+               libakonadicontact-dev (>= 4:25.11.90~),
+               libcalendarsupport-dev (>= 4:25.11.90~),
+               libeventviews-dev (>= 4:25.11.90~),
+               libincidenceeditor-dev (>= 25.11.90~),
+               libkcalendarutils-dev (>= 4:25.11.90~),
+               libkdepim-dev (>= 4:25.11.90~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.3.0~),
@@ -36,12 +36,12 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.11.80~),
-               libkldap-dev (>= 25.11.80~),
-               libkmailtransport-dev (>= 25.11.80~),
-               libkmime-dev (>= 25.11.80~),
-               libkontactinterface-dev (>= 25.11.80~),
-               libpimcommon-dev (>= 4:25.11.80~),
+               libkidentitymanagement-dev (>= 25.11.90~),
+               libkldap-dev (>= 25.11.90~),
+               libkmailtransport-dev (>= 25.11.90~),
+               libkmime-dev (>= 25.11.90~),
+               libkontactinterface-dev (>= 25.11.90~),
+               libpimcommon-dev (>= 4:25.11.90~),
                libplasmaactivities-dev (>= 6.1.0~),
                libx11-dev,
                pkgconf,

## korganizer 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,18 +3,18 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION rc)
+set(KDEPIM_DEV_VERSION )
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
-set(PIM_VERSION "6.5.90")
-set(RELEASE_SERVICE_VERSION "25.11.90")
+set(PIM_VERSION "6.6.0")
+set(RELEASE_SERVICE_VERSION "25.12.0")
 
 # Update it for each release
-set(KORGANIZER_RELEASE_VERSION_DATE "25.11.27") # yy.MM.dd
+set(KORGANIZER_RELEASE_VERSION_DATE "25.12.11") # yy.MM.dd
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
@@ -77,13 +77,13 @@
 set(CMAKE_CXX_EXTENSIONS OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
-set(AKONADI_CONTACT_VERSION "6.5.90")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.90")
-set(CALENDARUTILS_LIB_VERSION "6.5.90")
-set(AKONADICALENDAR_LIB_VERSION "6.5.90")
-set(KONTACTINTERFACE_LIB_VERSION "6.5.90")
-set(KMIME_LIB_VERSION "6.5.90")
-set(AKONADI_VERSION "6.5.90")
+set(AKONADI_CONTACT_VERSION "6.6.0")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.0")
+set(CALENDARUTILS_LIB_VERSION "6.6.0")
+set(AKONADICALENDAR_LIB_VERSION "6.6.0")
+set(KONTACTINTERFACE_LIB_VERSION "6.6.0")
+set(KMIME_LIB_VERSION "6.6.0")
+set(AKONADI_VERSION "6.6.0")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -100,11 +100,11 @@
         UiTools
 )
 
-set(PIMCOMMON_LIB_VERSION "6.5.90")
-set(LIBKDEPIM_LIB_VERSION "6.5.90")
-set(LIBINCIDENCEEDITOR_LIB_VERSION "6.5.90")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.90")
-set(EVENTVIEW_LIB_VERSION "6.5.90")
+set(PIMCOMMON_LIB_VERSION "6.6.0")
+set(LIBKDEPIM_LIB_VERSION "6.6.0")
+set(LIBINCIDENCEEDITOR_LIB_VERSION "6.6.0")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.0")
+set(EVENTVIEW_LIB_VERSION "6.6.0")
 
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
korganizer (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:28:38 +0000

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.90~),
-               libakonadicalendar-dev (>= 4:25.11.90~),
-               libakonadicontact-dev (>= 4:25.11.90~),
-               libcalendarsupport-dev (>= 4:25.11.90~),
-               libeventviews-dev (>= 4:25.11.90~),
-               libincidenceeditor-dev (>= 25.11.90~),
-               libkcalendarutils-dev (>= 4:25.11.90~),
-               libkdepim-dev (>= 4:25.11.90~),
+               libakonadi-dev (>= 4:25.12.0~),
+               libakonadicalendar-dev (>= 4:25.12.0~),
+               libakonadicontact-dev (>= 4:25.12.0~),
+               libcalendarsupport-dev (>= 4:25.12.0~),
+               libeventviews-dev (>= 4:25.12.0~),
+               libincidenceeditor-dev (>= 25.12.0~),
+               libkcalendarutils-dev (>= 4:25.12.0~),
+               libkdepim-dev (>= 4:25.12.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.3.0~),
@@ -36,12 +36,12 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.11.90~),
-               libkldap-dev (>= 25.11.90~),
-               libkmailtransport-dev (>= 25.11.90~),
-               libkmime-dev (>= 25.11.90~),
-               libkontactinterface-dev (>= 25.11.90~),
-               libpimcommon-dev (>= 4:25.11.90~),
+               libkidentitymanagement-dev (>= 25.12.0~),
+               libkldap-dev (>= 25.12.0~),
+               libkmailtransport-dev (>= 25.12.0~),
+               libkmime-dev (>= 25.12.0~),
+               libkontactinterface-dev (>= 25.12.0~),
+               libpimcommon-dev (>= 4:25.12.0~),
                libplasmaactivities-dev (>= 6.1.0~),
                libx11-dev,
                pkgconf,

## korganizer 25.12.0+p24.04+vstable+git20251231.0558

=== debian/changelog ===
korganizer (4:25.12.0+p24.04+vstable+git20251231.0558-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:58:17 +0000

korganizer (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:32:03 +1000

## korganizer 25.12.0+p24.04+vstable+git20260102.1239

=== debian/changelog ===
korganizer (4:25.12.0+p24.04+vstable+git20260102.1239-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:39:16 +0000

## korganizer 25.12.0+p24.04+vstable+git20260105.1030

=== debian/changelog ===
korganizer (4:25.12.0+p24.04+vstable+git20260105.1030-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:30:48 +0000
